Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Delete thread

DELETE
/threads/{thread_id}

Delete a thread.

Delete thread

curl https://api.openai.com/v1/threads/thread_abc123 \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "OpenAI-Beta: assistants=v2" \
  -X DELETE
Response example
{
  "id": "thread_abc123",
  "object": "thread.deleted",
  "deleted": true
}
Path Parameters
thread_id: string

The ID of the thread to delete.

Returns
ThreadDeleted object { id, deleted, object }
id: string
deleted: boolean
object: "thread.deleted"
Returns Examples
Response example
{
  "id": "thread_abc123",
  "object": "thread.deleted",
  "deleted": true
}